/* FONTS */
@font-face {
    font-family: 'RoboCondesed';
    src: url('fonts/roboto_condensed/RobotoCondensed-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'RoboSlab';
    src: url('fonts/roboto_condensed/RobotoSlab-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* GLOBAL */

:root {
    --main-red-color: #650101;
}

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: 'RoboCondesed', sans-serif;
}

html {
    scroll-behavior: smooth;
}
  
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 40px;
    width: 100%;
    position: fixed;
    z-index: 3;
    background-color: var(--main-red-color);
}
  
.logo, .social-media {
    width: 8%;
}
  
.nav {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}
  
.nav li {
    margin-inline: 20px;
}
  
.nav a {
    color: #fff;
    text-decoration: none;
    position: relative;
    overflow: hidden;
    display: inline-block;
    font-weight: 600;
}
  
.nav a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: orange;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
}
  
.nav a:hover::after {
    transform: translateX(0);
}

.social-media {
    display: flex;
    gap: 10px;
}
  
.social-media a {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: orange;
    color: #fff;
    padding: 10px;
    border-radius: 50%;
    transition: background-color 0.3s ease;
    text-decoration: none;
    margin: 0;
}
  
.social-media a:hover {
    background-color: darkorange;
}
  
.social-media i {
    font-size: 18px;
}

.hero {
    position: relative;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 85vh;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 25%;
    height: 100%;
    background-color: rgba(139, 0, 0, 0.8);
    transform: skewX(15deg);
    transform-origin: bottom right;
    display: flex;
    justify-content: center;
    align-items: center;
}

.overlay img {
    position: relative;
    transform: skewX(0);
    max-width: 100%;
    height: auto;
}

/* EMPRESA */

.company-section {
    background-color: #650101;
    color: #fff;
    padding: 0 30px 30px 30px;
    width: 100%;
    text-align: center;
}
  
.company-section img {
    margin-top: -80px;
    margin-bottom: 25px;
    width: 30%;
    position: relative;
    z-index: 3;
}

/* PRODUTOS */

.product-container {
    background-image: url('images/backgroud-produtos.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-bottom: 30px;
}

.product-title {
    font-family: 'RobotoSlab';
    color: white;
    font-weight: 700;
    text-align: center;
    margin-top: 25px;
    position: relative;
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
}

.product-title::after {
    content: '';
    display: block;
    width: 90%;
    height: 4px;
    background-color: var(--main-red-color);
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
}

.products-section {
    display: flex;
    justify-content: space-around;
    padding-block: 20px;
}
  
.product-category {
    position: relative;
    width: 30%;
}

.product-image {
    position: relative;
    width: 100%;
    padding-top: 56.25%;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    overflow: visible;
}
  
.overlay-product {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(139, 0, 0, 0.8);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}
  
.product-image:hover .overlay-product {
    opacity: 1;
}
  
.product-name {
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--main-red-color);
    color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    width: 80%;
    text-align: center;
    z-index: 1;
}
  
  
.product-name p {
    margin: 0;
}

/* CONTATO */

.contact-map-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 20px;
    padding: 40px 20px;
    background-color: #f8f8f8;
    margin-top: 20px;
}
  
.contact-info {
    flex: 1 1 45%;
    background-color: darkorange;
    color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
  
.contact-info h2 {
    font-family: 'RobotoSlab';
    margin-top: 0;
    margin-bottom: 20px;
    position: relative;
    display: inline-block;
}

.contact-info h2::after {
    content: '';
    display: block;
    width: 40%;
    height: 4px;
    background-color: rgba(139, 0, 0);
    position: absolute;
    bottom: -5px;
    left: 0;
}
  
.map {
    flex: 1 1 45%;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
  
.map iframe {
    width: 100%;
    height: 100%;
    border: 0;
    min-height: 400px;
}

/* FOOTER */

.footer {
    background-color: var(--main-red-color);
    color: #fff;
    text-align: center;
    padding: 20px 0;
    width: 100%;
}

/* RESPONSIVIDADE */

@media screen and (max-width: 768px) {
    header {
        justify-content: center;
    }

    header img.logo {
        width: 20%;
    }

    .nav {
        display: none;
    }

    .social-media {
        display: none;
    }

    .products-section {
        flex-direction: column;
        align-items: center;
    }

    .product-category {
        width: 80%;
        margin-block: 15px;
    }

    .company-section img {
        margin-top: -20px;
        width: 50%;
    }

    .hero {
        height: 30vh;
    }
}

/* IMAGES RESIZE */

@media (min-width: 1200px) {
    .hero {
        background-image: url('images/hero_1200w.webp');
    }

    #product-category-1 {
        background-image: url('images/tradicionais_1200w.webp');
    }

    #product-category-2 {
        background-image: url('images/fritos_1200w.webp');
    }

    #product-category-3 {
        background-image: url('images/pao_queijo_1200w.webp');
    }

    #product-category-4 {
        background-image: url('images/folhados_1200w.webp');
    }

    #product-category-5 {
        background-image: url('images/fast_1200w.webp');
    }

    #product-category-6 {
        background-image: url('images/premium_1200w.webp');
    }
}

@media (min-width: 800px) and (max-width: 1199px) {
    .hero {
        background-image: url('images/hero_800w.webp');
    }

    #product-category-1 {
        background-image: url('images/tradicionais_800w.webp');
    }

    #product-category-2 {
        background-image: url('images/fritos_800w.webp');
    }

    #product-category-3 {
        background-image: url('images/pao_queijo_800w.webp');
    }

    #product-category-4 {
        background-image: url('images/folhados_800w.webp');
    }

    #product-category-5 {
        background-image: url('images/fast_800w.webp');
    }

    #product-category-6 {
        background-image: url('images/premium_800w.webp');
    }
}

@media (max-width: 799px) {
    .hero {
        background-image: url('images/hero_520w.webp');
    }

    #product-category-1 {
        background-image: url('images/tradicionais_520w.webp');
    }

    #product-category-2 {
        background-image: url('images/fritos_520w.webp');
    }

    #product-category-3 {
        background-image: url('images/pao_queijo_520w.webp');
    }

    #product-category-4 {
        background-image: url('images/folhados_520w.webp');
    }

    #product-category-5 {
        background-image: url('images/fast_520w.webp');
    }

    #product-category-6 {
        background-image: url('images/premium_520w.webp');
    }
}